<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>Uses of Class de.rowlo.tridchess.model.Board</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class de.rowlo.tridchess.model.Board";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/class-use/Board.html" target="_top">Frames</a></li>
<li><a href="Board.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class de.rowlo.tridchess.model.Board" class="title">Uses of Class<br>de.rowlo.tridchess.model.Board</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#de.rowlo.tridchess.event">de.rowlo.tridchess.event</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#de.rowlo.tridchess.model">de.rowlo.tridchess.model</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#de.rowlo.tridchess.model.trid">de.rowlo.tridchess.model.trid</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="de.rowlo.tridchess.event">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a> in <a href="../../../../../de/rowlo/tridchess/event/package-summary.html">de.rowlo.tridchess.event</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../de/rowlo/tridchess/event/package-summary.html">de.rowlo.tridchess.event</a> with parameters of type <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/event/BoardMouseListener.html#BoardMouseListener-de.rowlo.tridchess.model.Board-">BoardMouseListener</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;b)</code>
<div class="block">Creates the mouse listener.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="de.rowlo.tridchess.model">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a> in <a href="../../../../../de/rowlo/tridchess/model/package-summary.html">de.rowlo.tridchess.model</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../de/rowlo/tridchess/model/package-summary.html">de.rowlo.tridchess.model</a> that return <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></td>
<td class="colLast"><span class="typeNameLabel">Field.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Field.html#getBoard--">getBoard</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#getBoard--">getBoard</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../de/rowlo/tridchess/model/package-summary.html">de.rowlo.tridchess.model</a> with parameters of type <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Field.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Field.html#setBoard-de.rowlo.tridchess.model.Board-">setBoard</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;board)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#setBoard-de.rowlo.tridchess.model.Board-">setBoard</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;board)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../de/rowlo/tridchess/model/package-summary.html">de.rowlo.tridchess.model</a> with parameters of type <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Field.html#Field-java.lang.String-de.rowlo.tridchess.gui.FieldView-de.rowlo.tridchess.model.Board-">Field</a></span>(java.lang.String&nbsp;n,
     <a href="../../../../../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a>&nbsp;f,
     <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;b)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#Figure-boolean-int-java.lang.String-de.rowlo.tridchess.model.Field-de.rowlo.tridchess.model.Board-">Figure</a></span>(boolean&nbsp;white,
      int&nbsp;type,
      java.lang.String&nbsp;n,
      <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f,
      <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;b)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="de.rowlo.tridchess.model.trid">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a> in <a href="../../../../../de/rowlo/tridchess/model/trid/package-summary.html">de.rowlo.tridchess.model.trid</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a> in <a href="../../../../../de/rowlo/tridchess/model/trid/package-summary.html">de.rowlo.tridchess.model.trid</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/TriDBoard.html" title="class in de.rowlo.tridchess.model.trid">TriDBoard</a></span></code>
<div class="block">Tri-D chess board definition.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../de/rowlo/tridchess/model/trid/package-summary.html">de.rowlo.tridchess.model.trid</a> that return <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Game.html#getBoard--">getBoard</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></td>
<td class="colLast"><span class="typeNameLabel">Pin.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#getBoard--">getBoard</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></td>
<td class="colLast"><span class="typeNameLabel">Move.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#getBoard--">getBoard</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../de/rowlo/tridchess/model/trid/package-summary.html">de.rowlo.tridchess.model.trid</a> with parameters of type <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Pin.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#setBoard-de.rowlo.tridchess.model.Board-">setBoard</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;board)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">PlainMove.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/PlainMove.html#toMove-de.rowlo.tridchess.model.Board-">toMove</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;b)</code>
<div class="block">Attempts to convert this PlainMove to a Move.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../de/rowlo/tridchess/model/trid/package-summary.html">de.rowlo.tridchess.model.trid</a> with parameters of type <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#Pin-java.lang.String-de.rowlo.tridchess.gui.trid.PinView-de.rowlo.tridchess.model.Field:A:A-de.rowlo.tridchess.model.Board-">Pin</a></span>(java.lang.String&nbsp;n,
   <a href="../../../../../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a>&nbsp;v,
   <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]&nbsp;af,
   <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;b)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Replayer.html#Replayer-java.util.Map-de.rowlo.tridchess.model.Board-">Replayer</a></span>(java.util.Map&lt;java.lang.Integer,<a href="../../../../../de/rowlo/tridchess/model/trid/PlainMove.html" title="class in de.rowlo.tridchess.model.trid">PlainMove</a>&gt;&nbsp;m,
        <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;b)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/class-use/Board.html" target="_top">Frames</a></li>
<li><a href="Board.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
